Subject: bug#23233: 25.0.92; Crash after doing much work in Proof General

From: Andreas Schwab <[email-masked]>
Date: Thu, 07 Apr 2016 00:24:04 +0200

Lars Magne Ingebrigtsen <[email-masked]> writes:

> The backtrace reminded me a bit about the known gc recursion bug that I
> can't remember the recipe for right now -- it was something about if you
> (setcar foo foo), then Emacs will segfault when trying to gc?  I forget
> the details, but it's in the debbugs somewhere.  :-)

Circular structures are of course not a problem, since gc will never
revisit an object it already saw.  You need deeply nested structures.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."